SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


Try our Premium Alert Service
 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service





Category:   OS (Other)  >   Apple iOS Vendors:   Apple
Apple iOS Bugs Let Remote Users Execute Arbitrary Code and Obtain Potentially Sensitive Information and Let Local Users View Memory Contents and Gain Elevated Privileges
SecurityTracker Alert ID:  1039953
SecurityTracker URL:  http://securitytracker.com/id/1039953
CVE Reference:   CVE-2017-13833, CVE-2017-13847, CVE-2017-13855, CVE-2017-13856, CVE-2017-13860, CVE-2017-13861, CVE-2017-13862, CVE-2017-13865, CVE-2017-13866, CVE-2017-13867, CVE-2017-13868, CVE-2017-13869, CVE-2017-13870, CVE-2017-13874, CVE-2017-13876, CVE-2017-13879, CVE-2017-7156, CVE-2017-7157   (Links to External Site)
Updated:  Dec 14 2017
Original Entry Date:  Dec 5 2017
Impact:   Disclosure of system information, Disclosure of user information, Execution of arbitrary code via local system, Execution of arbitrary code via network, Root access via local system, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to 11.2
Description:   Multiple vulnerabilities were reported in Apple iOS. A remote user can execute arbitrary code. A local user can gain elevated privileges. A local user can view memory contents. A remote user can obtain potentially sensitive information.

An application can trigger an out-of-bounds memory read error in the the kernel component to read restricted memory [CVE-2017-13833].

An application can trigger a memory corruption error in the IOKit component to execute arbitrary code with system privileges [CVE-2017-13847].

An application can trigger a memory handling error in the the kernel component to read restricted memory [CVE-2017-13855].

A remote user in a privileged network position can exploit an encryption error with S/MIME credentials in the Mail Drafts component to intercept mail [CVE-2017-13860].

An application can trigger a memory corruption error in the IOSurface component to execute arbitrary code with kernel privileges [CVE-2017-13861].

An application can trigger a memory corruption error in the the kernel component to execute arbitrary code with kernel privileges [CVE-2017-13862].

An application can trigger a input validation flaw in the the kernel component to read restricted memory [CVE-2017-13865].

An application can trigger a memory corruption error in the the kernel component to execute arbitrary code with kernel privileges [CVE-2017-13867].

An application can trigger a input validation flaw in the the kernel component to read restricted memory [CVE-2017-13868, CVE-2017-13869].

The system may use the incorrect certificate for S/MIME encryption [CVE-2017-13874].

An application can trigger a memory corruption error in the the kernel component to execute arbitrary code with kernel privileges [CVE-2017-13876].

An application can trigger a memory corruption error in the IOMobileFrameBuffer component to execute arbitrary code with kernel level privileges [CVE-2017-13879].

A remote user can create specially crafted web content that, when loaded by the target user, will trigger a memory corruption error in the WebKit component to execute arbitrary code [CVE-2017-13856, CVE-2017-13866, CVE-2017-13870, CVE-2017-7156, CVE-2017-7157].

Brandon Azad, Jeonghoon Shin, Ian Beer of Google Project Zero, Jann Horn of Google Project Zero, Michael Weishaar of INNEO Solutions GmbH, and an anonymous researcher reported these vulnerabilities.

Impact:   A local user can gain elevated privileges.

A local user can view memory contents.

A remote user can obtain potentially sensitive information.

A remote user can create content that, when loaded by the target user, will execute arbitrary code on the target user's system.

Solution:   The vendor has issued a fix (11.2).

The vendor advisory is available at:

https://support.apple.com/en-us/HT208334

Vendor URL:  support.apple.com/en-us/HT208334 (Links to External Site)
Cause:   Access control error, Input validation error

Message History:   This archive entry has one or more follow-up message(s) listed below.
Dec 14 2017 (Apple Issues Fix for Apple iTunes for Windows) Apple iOS Bugs Let Remote Users Execute Arbitrary Code and Obtain Potentially Sensitive Information and Let Local Users View Memory Contents and Gain Elevated Privileges
Apple has issued a fix for Apple iTunes for Windows.



 Source Message Contents

Subject:  Apple iOS


https://support.apple.com/en-us/HT201222

iOS 11.2 (details available soon)
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2018, SecurityGlobal.net LLC